Name: libptp2
Version: 1.1.10
Release: 1%{?dist}
BuildRoot:    /tmp/%{name}-root-%version-%release

Summary: Library to access digital cameras via PTP

License: GPL
Group: System/Libraries
Url: http://sourceforge.net/projects/libptp/

Source: http://heanet.dl.sourceforge.net/sourceforge/libptp/%name-%version.tar.gz

# Automatically added by buildreq on Fri Dec 10 2004
BuildRequires: gcc-c++ libstdc++-devel libusb-devel

%description
Many digital cameras communicate with computers via the Picture
Transfer Protocol (PTP). This protocol gives a standardized
manufacturer-independent set of camera operation commands, as
downloading pictures, remote capturing, ... Unfortunately
manufacturers added also there own non-standard commands, especially
for remote control. This library contains a near complete remote
control command set for Canon digital cameras and also some stuff for
Nikon.

%package devel
Summary: Headers and links to compile against the "%name" library
Group: Development/C
Requires: %name = %version

%description devel
This package contains all files which one needs to compile programs using
the "%name" library.

%package -n ptpcam
Summary: Command line utility to access digital cameras via PTP
Group: Graphics

%description -n ptpcam
Many digital cameras communicate with computers via the Picture
Transfer Protocol (PTP). This protocol gives a standardized
manufacturer-independent set of camera operation commands, as
downloading pictures, remote capturing, ... Unfortunately
manufacturers added also there own non-standard commands, especially
for remote control. ptpcam makes use of the %name library which
contains a near complete remote control command set for Canon digital
cameras and also some stuff for Nikon.

%prep
%setup -q

%build
%configure --disable-static
make -j1

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog README TODO
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_libdir/*.la
#%_libdir/*.a
%_includedir/*

%files -n ptpcam
%_bindir/*

%changelog
* Tue Oct 04 2005 Vitaly Lipatov <lav@altlinux.ru> 1.1.0-alt1
- new version

* Fri Dec 10 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.1-alt1
- first build for ALT Linux Sisyphus

* Tue Aug 17 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.1-1mdk
- Initial release

